<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="NavigatorExtensionSample"
   name="Sample Navigator Extension"
   version="3.0"
   provider-name="Eclipse.org"
   class="SamplePlugin">

   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.hyades.ui"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.hyades.trace.views"/>
      <import plugin="org.eclipse.ui"/>
   </requires>

   <!-- Extend the Profiling Monitor to add sample items -->
   <extension point="org.eclipse.hyades.ui.navigatorExtensions">
      <navigatorContribution
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            class="SampleNavigatorExtension"/>
      <navigatorFilterSet
            id="sample.filterSet"
            label="%FILTER_SET_SAMPLE_ITEMS"
            icon="icons/full/obj16/sample.gif"
            class="SampleFilterSet"
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator"
            defaultEnabled="false"
            recursive="true"
            common="true"/>
   </extension>
   
   <!-- Enable "Package Statistics" view for our new type "Sample" -->
   <extension
         point="org.eclipse.hyades.ui.analyzerExtensions">
      <analyzerExtension
            id="org.eclipse.hyades.trace.sample.navigator.OpenPackageStatisticViewAction"          
	    	name="%NAVIGATOR_EXTENSION_PACKAGE_STATS"
	    	type="Sample"
	    	extension="trace"
	    	icon="icons/full/cview16/packclass_statistic_view.gif"
	    	isDefault="true"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenPackageStatisticViewAction">
      </analyzerExtension> 	
   </extension>

</plugin>
